@echo off
echo Atari Portfolio Serial Bootstrap Loader
set PFSPEC=COM1:4800,n,8,1
echo Initialize Portfolio RS232 to 4800 baud, no parity, 8 data, 1 stop
pause
binhex xterm2.com
ren result.out xterm2.hex
chksum xterm2.com > xterm2.chk
chksum hexbin.com > hexbin.chk
chksum chksum.com > chksum.chk
echo Type "COPY AUX LOAD.BAT [ENTER]" on Portfolio
pause
if exist chksum.dat del chksum.dat
pfload load.bat
echo Type "LOAD [ENTER]" on Portfolio
pause
ren chksum.chk chksum.dat
pfload chksum.com
if exist chksum.dat goto abort
ren hexbin.chk chksum.dat
pfload hexbin.com
if exist chksum.dat goto abort
ren xterm2.chk chksum.dat
pfload xterm2.hex
del xterm2.hex
if not exist chksum.dat goto end
:abort
echo Incorrect checksum obtained while verifying download
echo Check connections, cables, batteries, etc.
del chksum.dat
del *.chk
goto veryend
:end
echo Congratulations! You have just passed "GO" with your Portfolio!
echo A copy of XTERM2.COM is now in the C: directory,
echo ready to talk to the world!  Good luck.
:veryend
echo on
